com.rscja.deviceapi.interfaces

## Interface IUHFURx

- All Superinterfaces:
    ISingleAntenna, IUHF
  All Known Subinterfaces:
    IRFIDWithUHFUrxNetwork, IRFIDWithUHFUrxUart, IRFIDWithUHFUrxUsbToUart
  All Known Implementing Classes:
    RFIDWithUHFUrxNetwork, RFIDWithUHFUrxUart, RFIDWithUHFUrxUsbToUart

      public interface IUHFURx
      extends IUHF, ISingleAntenna

  UHF UR4特有接口
  Author:
    zhoupin

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `disableBeep()` 禁用蜂鸣器
    `boolean` | `enableBeep()` 启用蜂鸣器
    `java.util.List<AntennaState>` | `getANT()` 获取天线
    `java.util.List<AntennaConnectState>` | `getAntennaConnectState()`
    `int` | `getAntennaWorkTime(AntennaEnum antnum)` 获取天线工作时间
    `ReaderIPEntity` | `getDestIP()` 获取目标IP
    `int` | `getErrCode()`
    `byte[]` | `getInputStatus()` 获取输入口状态
    `java.lang.String` | `getSTM32Version()`
    `int[]` | `getTriggerWorkModePara()` 获取触发工作模式参数
    `ReaderIPEntity` | `getUhfReaderIP()` 获取UHF读写器IP
    `int` | `getWorkMode()` 获取工作模式
    `boolean` | `isEnableBeep()` 是否启用蜂鸣器
    `boolean` | `setANT(java.util.List<AntennaState> antStatus)` 设置天线
    `boolean` | `setAntennaWorkTime(AntennaEnum antnum, int WorkTime)` 设置天线工作时间
    `boolean` | `setDestIP(ReaderIPEntity readerIPEntity)` 设置目标IP
    `boolean` | `setRelayStatus(byte status)` 设置继电器状态
    `boolean` | `setTriggerWorkModePara(int input, int workTime, int waitTime, int receiveMode)` 设置触发工作模式参数
    `boolean` | `setUhfReaderIP(ReaderIPEntity readerIPEntity)` 设置UHF读写器IP
    `boolean` | `setWorkMode(int mode)` 设置工作模式
    `boolean` | `softwareReset()` 软件复位
    `boolean` | `uhfJump2BootSTM32()`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

- - ### Method Detail

    - #### getErrCode

          int getErrCode()

    - #### enableBeep

          boolean enableBeep()

      启用蜂鸣器
      Returns:
        true:success false:fail

    - #### disableBeep

          boolean disableBeep()

      禁用蜂鸣器
      Returns:
        true:success false:fail

    - #### isEnableBeep

          boolean isEnableBeep()

      是否启用蜂鸣器
      Returns:
        启用:success 禁用:fail

    - #### setUhfReaderIP

          boolean setUhfReaderIP(ReaderIPEntity readerIPEntity)

      设置UHF读写器IP
      Parameters:
        `readerIPEntity` - 读写器IP地址
      Returns:
        true:success false:fail

    - #### getUhfReaderIP

          ReaderIPEntity getUhfReaderIP()

      获取UHF读写器IP
      Returns:
        返回uhf读写器IP地址

    - #### getDestIP

          ReaderIPEntity getDestIP()

      获取目标IP
      Returns:
        返回目标IP地址

    - #### setDestIP

          boolean setDestIP(ReaderIPEntity readerIPEntity)

      设置目标IP
      Parameters:
        `readerIPEntity` - 目标IP地址
      Returns:
        true:success false:fail

    - #### softwareReset

          boolean softwareReset()

      软件复位
      Returns:
        true:success false:fail

    - #### setANT

          boolean setANT(java.util.List<AntennaState> antStatus)

      设置天线
      Parameters:
        `antStatus` - 下标[0]:天线1的状态值, 下标[1]:天线2的状态值, 下标[2]:天线3的状态 值, 下标[3]:天线4的状态值 ; 状态值的含义：1表示使用当前天线，0表示不使用当前天线。
      Returns:
        true:success false:fail

    - #### getANT

          java.util.List<AntennaState> getANT()

      获取天线
      Returns:
        返回天线状态 , 下标[0]:天线1的状态值, 下标[1]:天线2的状态值, 下标[2]:天线3的状态 值, 下标[3]:天线4的状态值 ; 状态值的含义：1表示使用当前天线，0表示不使用当前天线。

    - #### setAntennaWorkTime

          boolean setAntennaWorkTime(AntennaEnum antnum,
                                     int WorkTime)

      设置天线工作时间
      Parameters:
        `antnum` - 天线号
        `WorkTime` - 工作时间
      Returns:
        true:success false:fail

    - #### getAntennaWorkTime

          int getAntennaWorkTime(AntennaEnum antnum)

      获取天线工作时间
      Parameters:
        `antnum` - 天线号
      Returns:
        返回天线工作时间

    - #### getWorkMode

          int getWorkMode()

      获取工作模式
      Returns:
        0:表示命令模式,1:表示自动模式，2：表示触发模式； -1表示获取工作模式失败。

    - #### setWorkMode

          boolean setWorkMode(int mode)

      设置工作模式
      Parameters:
        `mode` - 0:表示命令模式,1:表示自动模式，2：表示触发模式
      Returns:
        true:success false:fail

    - #### setTriggerWorkModePara

          boolean setTriggerWorkModePara(int input,
                                         int workTime,
                                         int waitTime,
                                         int receiveMode)

      设置触发工作模式参数
      Parameters:
        `input` - 触发IO,0x00表示触发输入1; 0x01表示触发输入2
        `workTime` - 触发工作时间,表示有触发输入时读卡工作时间，单位是10ms
        `waitTime` - 触发时间间隔,表示触发工作时间结束后,间隔多久再判断触发输入IO口进行触发,单位是10ms
        `receiveMode` - 标签输出方式,0x00表示串口输出，0x01表示UDP输出。
      Returns:
        true:success false:fail

    - #### getTriggerWorkModePara

          int[] getTriggerWorkModePara()

      获取触发工作模式参数
      Returns:
        返回触发工作模式参数
        下标[0]:触发IO,0x00表示触发输入1; 0x01表示触发输入2
        下标[1]:触发工作时间,表示有触发输入时读卡工作时间，单位是10ms
        下标[2]:触发时间间隔,表示触发工作时间结束后,间隔多久再判断触发输入IO口进行触发,单位是10ms
        下标[3]:标签输出方式,0x00表示串口输出，0x01表示UDP输出。

    - #### getInputStatus

          byte[] getInputStatus()

      获取输入口状态
      Returns:
        返回输入口状态
        下标[0]:Input1的状态值,0是低电平,1是高电平
        下标[1]:Input2的状态值,0是低电平,1是高电平

    - #### setRelayStatus

          boolean setRelayStatus(byte status)

      设置继电器状态
      Parameters:
        `status` - 0:断开，1:闭合
      Returns:
        true:success false:fail

    - #### uhfJump2BootSTM32

          boolean uhfJump2BootSTM32()

    - #### getSTM32Version

          java.lang.String getSTM32Version()

    - #### getAntennaConnectState

          java.util.List<AntennaConnectState> getAntennaConnectState()